Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
QueueDatabase..::.Append Method (DatabaseEntry)
QueueDatabase Class See Also Send Feedback

Append the data item to the end of the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public uint Append(
    	DatabaseEntry data
    )

Visual Basic (Declaration)
    Public Function Append ( _
    	data As DatabaseEntry _
    ) As UInteger

Visual C++
    public:
    unsigned int Append(
    	DatabaseEntry^ data
    )

#### Parameters

data
  Type: BerkeleyDB..::.DatabaseEntry
  The data item to store in the database

#### Return Value

The record number allocated to the record

# See Also

QueueDatabase Class
Append Overload
BerkeleyDB Namespace